# Class M34

java.lang.Object
javajs.util.M34

Direct Known Subclasses:
  `M3, M4`

public abstract class M34 extends Object
A base class for both M3 and M4 to conserve code size.

Author:
  Kenji hiranabe additions by Bob Hanson hansonr@stolaf.edu 9/30/2012 for unique constructor and method names for the optimization of compiled JavaScript using Java2Script and for subclassing to M3 and M4

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`m00`
The first element of the first row
`float`
`m01`
The second element of the first row.
`float`
`m02`
third element of the first row.
`float`
`m10`
The first element of the second row.
`float`
`m11`
The second element of the second row.
`float`
`m12`
The third element of the second row.
`float`
`m20`
The first element of the third row.
`float`
`m21`
The second element of the third row.
`float`
`m22`
The third element of the third row.

## Constructor Summary

Constructors
Constructor
Description
`M34()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`add33(M34 m1)`
`protected void`
`clear33()`
`float`
`determinant3()`
`protected void`
`err()`
`protected float`
`get33(int row, int col)`
`protected void`
`getColumn33(int column, float[] v)`
`abstract void`
`getRow(int row, float[] v)`
`protected void`
`getRow33(int row, float[] v)`
`protected void`
`mul33(float x)`
`void`
`rotate(T3 t)`
`void`
`rotate2(T3 t, T3 result)`
Transform the vector vec using this Matrix3f and place the result into vecOut.
`protected void`
`set33(int row, int col, float v)`
`protected void`
`setAA33(A4 a)`
`protected void`
`setColumn33(int column, float[] v)`
`protected void`
`setM33(M34 m1)`
Sets the value of this matrix to the double value of the Matrix3f argument.
`protected void`
`setRow33(int row, float[] v)`
`protected void`
`setXRot(float angle)`
`protected void`
`setYRot(float angle)`
`protected void`
`setZRot(float angle)`
`protected void`
`sub33(M34 m1)`
`void`
`transpose33()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m00

public float m00
The first element of the first row

### m01

public float m01
The second element of the first row.

### m02

public float m02
third element of the first row.

### m10

public float m10
The first element of the second row.

### m11

public float m11
The second element of the second row.

### m12

public float m12
The third element of the second row.

### m20

public float m20
The first element of the third row.

### m21

public float m21
The second element of the third row.

### m22

public float m22
The third element of the third row.

## Constructor Details

### M34

public M34()

## Method Details

### setAA33

protected void setAA33(A4 a)

### rotate

public void rotate(T3 t)

### rotate2

public void rotate2(T3 t, T3 result)
Transform the vector vec using this Matrix3f and place the result into vecOut.

Parameters:
  `t` - the single precision vector to be transformed
  `result` - the vector into which the transformed values are placed

### setM33

protected void setM33(M34 m1)
Sets the value of this matrix to the double value of the Matrix3f argument.

Parameters:
  `m1` - the matrix3f

### clear33

protected void clear33()

### set33

protected void set33(int row, int col, float v)

### get33

protected float get33(int row, int col)

### setRow33

protected void setRow33(int row, float[] v)

### getRow

public abstract void getRow(int row, float[] v)

### getRow33

protected void getRow33(int row, float[] v)

### setColumn33

protected void setColumn33(int column, float[] v)

### getColumn33

protected void getColumn33(int column, float[] v)

### add33

protected void add33(M34 m1)

### sub33

protected void sub33(M34 m1)

### mul33

protected void mul33(float x)

### transpose33

public void transpose33()

### setXRot

protected void setXRot(float angle)

### setYRot

protected void setYRot(float angle)

### setZRot

protected void setZRot(float angle)

### determinant3

public float determinant3()

Returns:
  3x3 determinant

### err

protected void err()